Create Announcement

This operation creates an announcement.

Authorization and Permissions

  • An OpenAm token is required to make a post.
  • The user must have content creation permission, which is granted by a Talk administrator.
Body Params

The Create Announcement request payload.

string
required

The title of an announcement. The title cannot exceed 200 characters.

string
required

The content of the announcement in plaintext format. The content cannot exceed 5000 characters.

string

The date, time, and week of an announcement's planned release in a string format.

boolean

A Boolean indicator of whether or not a read receipt is enabled for an announcement. If enabled, this allows the system to track an acknowledgment from the user that they have read the announcement. Such announcements are automatically pinned and require the stickyExpiryDateTime property. Defaults to false.

boolean

A Boolean indicator of whether or not comments are enabled for this announcement. Defaults to true.

string

The location associated with an announcement. The location cannot exceed 100 characters.

string

The priority of an announcement. Valid values include URGENT and NORMAL. These values are not case sensitive.

date-time

The date and time an announcement expires. It shouild be in ISO8601 datetime format.

date-time

The date and time an announcement is no longer pinned at the top. If the readRecieptEnabled property is true, an announcement is pinned. It shouild be in ISO8601 datetime format.

date-time

The scheduled date and time for an announcement to be released to users. It shouild be in ISO8601 datetime format.

coverImage
object

The attachment model used across different content types.

attachments
array of objects

The attachments to include with the announcement. The attachment object should be the same returned by the file upload API.

attachments
Headers
string
required

An OpenAm token for the user.

string

A UUID value to track the request, used for debugging and tracing.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Choose an example:
application/json
application/problem+json